r3.support(1)

NAME
r3.support - Allows creation and/or modification of 3D raster map layer support files.

KEYWORDS
raster3d, metadata, voxel

SYNOPSIS
r3.support
r3.support --help
r3.support [-s] map=name [title=phrase] [history=phrase] [unit=string] [vunit=string] [source1=phrase] [source2=phrase] [description=phrase] [raster=string] [loadhistory=name] [savehistory=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-s
    Update range

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of 3D raster map

title=phrase
    Text to use for map title

history=phrase
    Text to append to the next line of the map’s metadata file

unit=string
    The map data unit

vunit=string
    The vertical unit of the map

source1=phrase
    Text to use for data source, line 1

source2=phrase
    Text to use for data source, line 2

description=phrase
    Text to use for data description or keyword(s)

raster=string
    Raster map from which to copy category table

loadhistory=name
    Text file from which to load history

savehistory=name
    Text file in which to save history

DESCRIPTION
r3.support allows the user to create and/or edit raster3d map support information. Editing of raster3d map units, history, description and title is supported.

NOTES
Freeform metadata information is stored in a "hist" file which may be appended to by using the history option. Currently this is limited to text with a maximum line length of 78 characters. Any input larger than this will be wrapped to the next line. All other metadata strings available as standard options are limited to 79 characters.

SEE ALSO
r.info, r.timestamp

AUTHORS
Soeren Gebbert, vTI/AK, soerengebbert gmooglemail.com
Based on r.support written by Micharl Shapiro, CERL and others

Last changed: $Date$

SOURCE CODE

Available at: r3.support source code (history)

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual